# CbcCbcParam Class Reference

Class for control parameters that act on a CbcModel object. More...

`#include <CbcGenCbcParam.hpp>`

Inheritance diagram for CbcCbcParam:
[legend]
Collaboration diagram for CbcCbcParam:
[legend]

List of all members.

## Public Types
Subtypes
enum | CbcCbcParamCode { CBCCBC_FIRSTPARAM = CbcGenParam::CBCGEN_LASTPARAM + 1, ALLOWABLEGAP, COSTSTRATEGY, CUTDEPTH, CUTOFF, CUTPASS, DIRECTION, GAPRATIO, INCREMENT, INFEASIBILITYWEIGHT, INTEGERTOLERANCE, LOGLEVEL, MAXIMIZE, MAXNODES, MINIMIZE, MIPOPTIONS, MOREMIPOPTIONS, NUMBERANALYZE, NUMBERBEFORE, NUMBERMINI, STRONGBRANCHING, TIMELIMIT_BAB, CBCCBC_LASTPARAM }
| Enumeration for parameters that control a CbcModel object. More...
## Public Member Functions
Constructors and Destructors
Be careful how you specify parameters for the constructors! There's great potential for confusion.
| CbcCbcParam ()
| Default constructor.
| CbcCbcParam (CbcCbcParamCode code, std::string name, std::string help, double lower, double upper, double dflt=0.0, bool display=true)
| Constructor for a parameter with a double value.
| CbcCbcParam (CbcCbcParamCode code, std::string name, std::string help, int lower, int upper, int dflt=0, bool display=true)
| Constructor for a parameter with an integer value.
| CbcCbcParam (CbcCbcParamCode code, std::string name, std::string help, std::string firstValue, int dflt, bool display=true)
| Constructor for a parameter with keyword values.
| CbcCbcParam (CbcCbcParamCode code, std::string name, std::string help, std::string dflt, bool display=true)
| Constructor for a string parameter.
| CbcCbcParam (CbcCbcParamCode code, std::string name, std::string help, bool display=true)
| Constructor for an action parameter.
| CbcCbcParam (const CbcCbcParam &orig)
| Copy constructor.
CbcCbcParam * | clone ()
| Clone.
CbcCbcParam & | operator= (const CbcCbcParam &rhs)
| Assignment.
| ~CbcCbcParam ()
| Destructor.
Methods to query and manipulate a parameter object
CbcCbcParamCode | paramCode () const
| Get the parameter code.
void | setParamCode (CbcCbcParamCode code)
| Set the parameter code.
CbcModel * | obj () const
| Get the underlying CbcModel object.
void | setObj (CbcModel *obj)
| Set the underlying CbcModel object.
## Private Attributes
Data
CbcCbcParamCode | paramCode_
| Parameter code.
CbcModel * | obj_
| CbcModel object.

## Detailed Description

Class for control parameters that act on a CbcModel object.

Adds parameter type codes and push/pull functions to the generic parameter object.

Definition at line 31 of file CbcGenCbcParam.hpp.

## Member Enumeration Documentation

enum CbcCbcParam::CbcCbcParamCode

Enumeration for parameters that control a CbcModel object.

These are parameters that control the operation of a CbcModel object. CBCCBC_FIRSTPARAM and CBCCBC_LASTPARAM are markers to allow convenient separation of parameter groups.

Enumerator:

  CBCCBC_FIRSTPARAM |
  ALLOWABLEGAP |
  COSTSTRATEGY |
  CUTDEPTH |
  CUTOFF |
  CUTPASS |
  DIRECTION |
  GAPRATIO |
  INCREMENT |
  INFEASIBILITYWEIGHT |
  INTEGERTOLERANCE |
  LOGLEVEL |
  MAXIMIZE |
  MAXNODES |
  MINIMIZE |
  MIPOPTIONS |
  MOREMIPOPTIONS |
  NUMBERANALYZE |
  NUMBERBEFORE |
  NUMBERMINI |
  STRONGBRANCHING |
  TIMELIMIT_BAB |
  CBCCBC_LASTPARAM |

Definition at line 45 of file CbcGenCbcParam.hpp.

## Constructor & Destructor Documentation

CbcCbcParam::CbcCbcParam | ( |  | ) |

Default constructor.

CbcCbcParam::CbcCbcParam | ( | CbcCbcParamCode | code,
|  | std::string | name,
|  | std::string | help,
|  | double | lower,
|  | double | upper,
|  | double | dflt = `0.0`,
|  | bool | display = `true` |
| ) |  |  |

Constructor for a parameter with a double value.

The default value is 0.0. Be careful to clearly indicate that `lower` and `upper` are real (double) values to distinguish this constructor from the constructor for an integer parameter.

CbcCbcParam::CbcCbcParam | ( | CbcCbcParamCode | code,
|  | std::string | name,
|  | std::string | help,
|  | int | lower,
|  | int | upper,
|  | int | dflt = `0`,
|  | bool | display = `true` |
| ) |  |  |

Constructor for a parameter with an integer value.

The default value is 0.

CbcCbcParam::CbcCbcParam | ( | CbcCbcParamCode | code,
|  | std::string | name,
|  | std::string | help,
|  | std::string | firstValue,
|  | int | dflt,
|  | bool | display = `true` |
| ) |  |  |

Constructor for a parameter with keyword values.

The string supplied as `firstValue` becomes the first keyword. Additional keywords can be added using appendKwd(). Keywords are numbered from zero. It's necessary to specify both the first keyword (`firstValue`) and the default keyword index (`dflt`) in order to distinguish this constructor from the string and action parameter constructors.

CbcCbcParam::CbcCbcParam | ( | CbcCbcParamCode | code,
|  | std::string | name,
|  | std::string | help,
|  | std::string | dflt,
|  | bool | display = `true` |
| ) |  |  |

Constructor for a string parameter.

The default string value must be specified explicitly to distinguish a string constructor from an action parameter constructor.

CbcCbcParam::CbcCbcParam | ( | CbcCbcParamCode | code,
|  | std::string | name,
|  | std::string | help,
|  | bool | display = `true` |
| ) |  |  |

Constructor for an action parameter.

CbcCbcParam::CbcCbcParam | ( | const CbcCbcParam & | orig | ) |

Copy constructor.

CbcCbcParam::~CbcCbcParam | ( |  | ) |

Destructor.

## Member Function Documentation

CbcCbcParam* CbcCbcParam::clone | ( |  | ) | `[virtual]`

Clone.

Reimplemented from CoinParam.

CbcCbcParam& CbcCbcParam::operator= | ( | const CbcCbcParam & | rhs | ) |

Assignment.

Reimplemented from CoinParam.

CbcCbcParamCode CbcCbcParam::paramCode | ( |  | ) | const`[inline]`

Get the parameter code.

Definition at line 139 of file CbcGenCbcParam.hpp.

void CbcCbcParam::setParamCode | ( | CbcCbcParamCode | code | ) | `[inline]`

Set the parameter code.

Definition at line 145 of file CbcGenCbcParam.hpp.

CbcModel* CbcCbcParam::obj | ( |  | ) | const`[inline]`

Get the underlying CbcModel object.

Definition at line 151 of file CbcGenCbcParam.hpp.

void CbcCbcParam::setObj | ( | CbcModel * | obj | ) | `[inline]`

Set the underlying CbcModel object.

Definition at line 157 of file CbcGenCbcParam.hpp.

## Member Data Documentation

CbcCbcParamCode CbcCbcParam::paramCode_`[private]`

Parameter code.

Definition at line 169 of file CbcGenCbcParam.hpp.

CbcModel* CbcCbcParam::obj_`[private]`

CbcModel object.

Definition at line 172 of file CbcGenCbcParam.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.8.0/Cbc/src/CbcGenCbcParam.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines